package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.Store
import com.aitrainer.api.repository.diet.StoreRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("api")
class StoreController(private val storeRepository: StoreRepository) {

    @PostMapping ("/store")
    fun insert(@RequestBody store: Store): ResponseEntity<Store> {
        val newStore = storeRepository.save(store)
        return ResponseEntity.ok().body(newStore)
    }

    @GetMapping("/store")
    fun getAll(): ResponseEntity<List<Store>> {
        val list = storeRepository.findAll()
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }

    @GetMapping("/store/{name}/{country}")
    fun getByNameAndCountry(@PathVariable name: String, @PathVariable country: String ): ResponseEntity<Store> {
        val store = storeRepository.findByNameAndCountry(name, country)
        return if (store == null) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(store)
    }

}