package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import jakarta.persistence.*
import org.springframework.lang.NonNull

@Entity
@Table(name = "CustomerProperty")
data class CustomerPropertyProperty (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var customerPropertyId: Long = 0,
    @Expose @get: NonNull var propertyId: Long = 0,
    @Expose @get: NonNull var propertyValue: Double? = null,
    @Expose @get: NonNull var dateAdd: String? = null,
    @Expose @get: NonNull var goal: Boolean? = null,
    @Expose @get: NonNull var goalDate: String? = null,


) {
    @ManyToOne(fetch = FetchType.EAGER, optional = false)
    @JoinColumn(name = "customerId", nullable = false)
    @JsonIgnore var customer: Customer? = null
}