package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import org.springframework.lang.NonNull
import jakarta.persistence.*

@Entity
data class CustomerTrainingPlanDetails (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var customerTrainingPlanDetailsId: Long = 0,
    @Expose @get: NonNull var exerciseTypeId: Long = 0,
    @Expose var set: Int?,
    @Expose var repeats: Int?,
    @Expose var weight: Double?,
    @Expose var restingTime: Int? = 0,
    @Expose var parallel: Boolean? = false,
    @Expose var day: String? = null,
) {
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "customerTrainingPlanId", nullable = false)
    @JsonIgnore
    var customerTrainingPlan: CustomerTrainingPlan? = null
}