package com.aitrainer.api.model

import com.google.gson.annotations.Expose
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.springframework.lang.NonNull
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseTree (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) val treeId: Long = 0,

    @Expose @get: NotBlank var name: String = "",
    @Expose @get: NotBlank var description: String = "",
    @Expose @get: NotBlank var imageUrl: String = "",
    @Expose @get: NonNull  var active: Boolean?,
    @Expose var internalName: String?,

) {
    @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "exerciseTree")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val translations: List<ExerciseTreeTranslation> = mutableListOf<ExerciseTreeTranslation>().toList()
}