package com.aitrainer.api.model.diet

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import jakarta.persistence.*
import org.jetbrains.annotations.NotNull

@Entity
data class RecipeMeal (
    @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @Expose val id: Long = 0,

    @Expose @get: NotNull var mealId: Int = 0,
    @Expose @get: NotNull var quantity: Int = 0,
) {
    @ManyToOne(fetch = FetchType.EAGER, optional = false)
    @JoinColumn(name = "recipeId", nullable = false)
    @JsonIgnore
    var recipe: Recipe? = null
}