package com.aitrainer.api.repository

import com.aitrainer.api.model.AppText
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface AppTextRepository: JpaRepository<AppText, Long> {
    @Query("FROM AppText as e "  +
            "LEFT JOIN AppTextTranslation as t ON e.textId = t.appText AND t.languageCode = 'hu' ")
    fun findAllWithTranslation(): List<AppText>
}